Skip to content

Assign a post

Introduction

The FeatureOS assign post API allows you to assign a post to a user in your organization.

POST https://api.featureos.app/api/v3/feature_requests/:id/assign

Headers

Parameter Default Description
API-KEY-Generate from organization settings on the admin dashboard.
Authorization-Generate a unique JWT token that is specific to a user
Content-Typeapplication/jsonRequired for JSON request body.

Body Parameters

Parameter Format Description
emailStringThe email address of the user to assign the post to.

Sample request

Terminal window
curl -X POST "https://api.featureos.app/api/v3/feature_requests/:feature_request_id/assign" \
-H "API-KEY: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email": "[email protected]"}'

Sample response

{
"id": 4229,
"slug": "chrissy-smith",
"title": "Chrissy Smith",
"preview": "Chrissy Smith",
"description": "This is a description for dummies. \n\n",
"description_html": "<p>This is a description for dummies.</p>",
"status": "Submitted",
"url": "https://feedback.featureos.app/b/api/p/chrissy-smith",
"approval_status": "approved",
"submitter": {
"name": "Swathy",
"email": "[email protected]"
},
"assignee": {
"id": 2,
"name": "Assignee",
"email": "[email protected]",
"profile_picture": {
"url": null
}
},
"bucket": {
"id": 14,
"name": "API"
},
"votes_count": 0,
"downvotes_count": 0,
"comments_count": 0,
"created_at": "2021-10-20T13:58:49.000Z",
"updated_at": "2021-10-20T13:58:49.000Z"
}